Bug 800439 - Add capability to run user scripts from userdata in RHEL AMIs
Add capability to run user scripts from userdata in RHEL AMIs
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.9
All Linux
medium Severity medium
: rc
: 5.9
Assigned To: Jay Greguske
Release Test Team
: EC2
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 08:47 EST by Chris Morgan
Modified: 2012-10-31 05:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 05:12:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Morgan 2012-03-06 08:47:22 EST
Request from Amazon:

We have a request from a customer to have RHEL AMI output the ssh fingerprints to the console on boot.  This allows our customers to verify that the host they are ssh'ing to is the same host that is in their account in the console.  We also recommend this to customers in the EC2 User Guide:
http://docs.amazonwebservices.com/AWSEC2/latest/UserGuide/AccessingInstancesLinux.html

The customer would have setup a script to output these himself but the RHEL amis don't currently have a mechanism to run user scripts from the userdata.

---------------------

Would like to target this for any future regions (add it to all AMIs) and for existing regions, only add it to new versions of RHEL.
Comment 1 RHEL Product and Program Management 2012-04-02 07:21:04 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Jay Greguske 2012-05-21 13:06:34 EDT
Note that this bug is solved with use of the cloud-init package.
Comment 4 Tomas Kopecek 2012-10-31 05:12:49 EDT
According to e-mail communication cloud-init will not be available for RHEL5 at all. Supported will be only RHEL6+ distros.

Note You need to log in before you can comment on or make changes to this bug.